Mailinglist Archive: opensuse (3337 mails)

< Previous Next >
Re: [SLE] gcc compiler 4.1
  • From: Maura Edeweiss Monville <memonvil@xxxxxxxxxxxxxxxx>
  • Date: Tue, 11 Apr 2006 16:34:23 -0500 (CDT)
  • Message-id: <Pine.GSO.4.58.0604111630200.27481@xxxxxxxxxxxxxxxxxxxxx>
I do not need the current old gcc and would prefer to rimove it.
Anyway, where shall I change the binaries versions ?
When I install the newest gcc by the command:
# rpm -Uvh <filename>
I won't have any control on the binaries any more.

In addition, ion the website you mentioned I see many gcc_41 rpm files.
I guess I have to download the c++ one as this is the language used in the
package we have to recpompile but it also has some modules written in
Fortran ...
I am confused ... how many gcc rpm-files shall I install ?
Thank you,
Maura

On Tue, 11 Apr 2006, Guillermo Ballester Valor wrote:

> El Martes, 11 de Abril de 2006 23:16, Maura Edeweiss Monville escribió:
> > Can I uninstall my current gcc compiler and replace it with the 4.1 ?
> > How can I unistall it in a clean way, without mixing up old and new files
> > ?
> >
> You don't need to uninstall your gcc compiler rpms. Both compilers can be
> installed at same time. The gcc_41 packages are build as complementary
> compiler and will not disturb the SuSE shiped gcc ones. As I said, to use
> them you only need to call the binaries adding '_41' suffix.
>
> Guillermo
>
> > Thanks,
> > Maura
> >
> > On Tue, 11 Apr 2006, Guillermo Ballester Valor wrote:
> > > Hello,
> > >
> > > You can get rpms for gcc-4.1 here
> > >
> > > http://ftp4.gwdg.de/pub/linux/misc/suser-gbv/rpms/SuSE_9.3
> > >
> > > This will add an additional compiler to your system. NOTE that you will
> > > need to add de suffix '_41' to the binaries. So, to use it you need to
> > > call 'gcc_41' instead of 'gcc' or 'gfortran_41' instead of 'gfortran'
> > > ....
> > >
> > > May be on Thu 13 there will be newest packages (with the latest updates
> > > from Opensuse factory). Just now I'm building them :)
> > >
> > > Guillermo
> > >
> > > El Martes, 11 de Abril de 2006 22:51, Maura Edeweiss Monville escribió:
> > > > In order to successfully compile a code I need the last
> > > > version of the gcc compiler.
> > > > I was suggested 4.1
> > > > I see that the verion I have is the following:
> > > >
> > > > mauede@linux:~> gcc --version
> > > > gcc (GCC) 3.3.5 20050117 (prerelease) (SUSE Linux)
> > > > Copyright (C) 2003 Free Software Foundation, Inc.
> > > >
> > > > Please, do you know if it is available to download for SuSE 9.3 from
> > > > some web site ?
> > > > Thank you very much,
> > > >
> > > > Maura
> > >
> > > --
> > > Guillermo Ballester Valor
> > > gbv@xxxxxxxxxxxx
> > > Ogijares, Granada SPAIN
> > > Public GPG KEY http://www.oxixares.com/~gbv/pubgpg.html
> > > ####################################################
> > > See World Weather Navigator at http://www.ogimet.com
> > > ####################################################
> > >
> > >
> > > --
> > > Check the headers for your unsubscription address
> > > For additional commands send e-mail to suse-linux-e-help@xxxxxxxx
> > > Also check the archives at http://lists.suse.com
> > > Please read the FAQs: suse-linux-e-faq@xxxxxxxx
>
> --
> Guillermo Ballester Valor
> gbv@xxxxxxxxxxxx
> Ogijares, Granada SPAIN
> Public GPG KEY http://www.oxixares.com/~gbv/pubgpg.html
> ####################################################
> See World Weather Navigator at http://www.ogimet.com
> ####################################################
>
>
> --
> Check the headers for your unsubscription address
> For additional commands send e-mail to suse-linux-e-help@xxxxxxxx
> Also check the archives at http://lists.suse.com
> Please read the FAQs: suse-linux-e-faq@xxxxxxxx
>
>

< Previous Next >